<?php
/**
 * 小微云短信
 * @website http://www.smsbao.com/
 * @author Veris
 */

namespace app\common\util\sms;

class Smsbao
{
    // 返回状态
    protected $statusStr = array(
        "0"  => "短信发送成功",
        "1"  => "发送失败未知原因",
        "-1" => "参数不全",
        "30" => "密码错误",
        "40" => "账号不存在",
        "41" => "余额不足",
        "42" => "内容中无短信签名",
        "43" => "账户已被禁用",
        "44" => "签名不存在或不是您的签名",
        "45" => "签名未通过审核",
        "46" => "账户未通过实名认证",
        "47" => "该通道不存在，请联系管理员",
        "48" => "该通道状态异常，请联系管理员",
        "50" => "内容含有敏感词",
        "51" => "手机号码不正确",
        "60" => "请联系管理员设置默认通道",
        "61" => "您没有购买过该通道额度，无法扣除！请先购买额度套餐",

	);

    public $sms_gateway = 'http://api.smsbao.com/'; //短信网关
    public $Code        = '';
    public $Message     = '';
    public $user        = '';
    public $pass        = '';

    /**
     * 初始化
     * @param  string $user    短信平台账号
     * @param  string $pass    短信平台密码
     */
    public function __construct($user,$pass)
    {
        $this->user    =$user;
        $this->pass    =md5($pass);
    }

    /**
     * 发送短信
     * @param  string $phone   手机号码
     * @param  string $content 要发送的短信内容
     * @return string          发送状态
     */
    public function sendSms($phone,$content){
        // $sendurl      = $this->sms_gateway."sms?u=".$this->user."&p=".$this->pass."&m=".$phone."&c=".urlencode($content);
        $sendurl      = 'https://sms.xwicloud.com/sms?u=改成用户名&p=改成用户Secret Key(MD5)&m='.$phone.'&c='.urlencode($content);
        $result       = file_get_contents($sendurl) ;
        $obj          = new \stdClass();
        $obj->Code    = $result;
        $obj->Message = isset($this->statusStr[$result])?$this->statusStr[$result]:'';
        return $obj;
    }
}
